もし、今から電子工作を始めるとしたら、

Last-modified: 2016-02-21 (日) 12:08:55
初出 2007-4-9
最終更新 2015-11-22
特にどうでもいいことを書くページです。
 

もし、今から電子工作を始めるとしたら、

オープンバレル端子用圧着ペンチを買う

ホーザン P-706 圧着ペンチなんかを買うと思います。

 

当ホームページ掲載の電子工作ではかなりコネクター類を使用していますが、それらは圧着ペンチを使用せず、半田付けを用いて接続しました。コネクタの種類によっては、半田付け後の端子をコネクタ本体に挿入する際に相当苦労するものがありました。今思うと最初に圧着ペンチを購入しておいた方が絶対に良かったと思います。

Writer509を買う(もしくは作る)

リンクのページにも書いてあるとおりです。

温調半田コテを買う

と、思いますが、今までのところどうしても欲しい場面に出くわしたことはありません。
温調機能がなくても一応鉛フリー半田も使えました。(但し、鉛フリー半田を使うと分解(部品のサルベージが)しづらいので最近は専ら鉛入りを使用しています)

もし、今からPICNICが欲しくなったら、

参考:PICNICの開発アプリケーション例(信州大学のサイト)
http://ysserve.wakasato.jp/sugsi/Lecture/picnic/links.html#Application

PICNICを買わず、代わりにイーサネット内蔵PICで同等のものを自作する

後閑さんのページ:イーサネット内蔵PIC18とTCP/IPスタックの使い方

 

自作するといってもMicrochipのライブラリを利用できるので全然難しくないと思います。

 

ただし、(上でWriter509についてふれているので)誤解がないように補足しておきますが、イーサネット内蔵PICを使う場合はICD2(クローン)が事実上必須だと思います。現在、私はICD2を持っていません。ICD2を入手(自作も含む)したらこの開発も再開することでしょう。
(2010-8-13追記)記述当初とはずいぶん状況が変わり、ICD2は必要なくなりました。他に安いツールが出てきました。

 

家庭内LAN配線工事で狭い穴にケーブルを通す

(2007年9月頃)
今まで無線LANを使っていたところを有線LANに変更しました。
CATVの同軸を引き込んでいる穴とエアコンの穴を利用して、大部分を家の外壁沿いに通すことにしたのですが、どちらの穴も余裕が少なくてLANケーブルを通すのに難儀する状態でした。CATVの穴なんかは、元々同軸1本だけを通す穴だった筈なのに、さらに光と電話のケーブルを追加してありましたから、そこにLANケーブルを通そうとしても全く歯が立たないという感じでした。
↓でもこの方法で何とかケーブルを通すことが出来ました。
pierce-cable_s.jpg
LANケーブルの外側の被覆をはがし、中の8本の芯線をなまし鉄線(いわゆる番線)に半田付けしました。
(番線と芯線が一体になったものを)壁に通して、番線を除いた後に芯線を引っ張れば、被覆のある部分も通すことが出来ました。最初、半田付け部分以外の被覆を残した状態で壁を通そうと試みましたが、とても通すことが出来ませんでした。次に、通す際に引っかかる部分(数十センチ)の被覆を全て取り除いてからやり直して成功しました。写真は作業後の番線を撮影したものです。
面倒ですが、他に手段がない場合はお試しを

ディスクリートで何かを

(2007年6月頭頃)
FMワイヤレスマイクです。
ほぼここそのままです。
雑音もなく完全に実用できます。(いや、ちょっと到達距離が短かすぎて実用には厳しいかな)
左手で持ちやすいレイアウトとしています。
fmwireless_1_s.jpgfmwireless_2_s.jpg);fmwireless_3_s.jpg

XXXをコピーできません。指定されたネットワーク名は利用できません。のメッセージについて

上記のWindowsのメッセージですが、このほど私も経験しました。
自分の経験したこととwebで検索したトラブル情報を合わせると、どうもこのエラーメッセージの原因は一つには定まらず、様々な状況で発せられるもののようです。

ただこのトラブルが小さなファイルのコピーの場合には起こらず、大きなもしくは大量のファイルをコピーする場合にのみ起きる場合、何らかの原因で”コピーの残り時間が推測できない”という状況に共通して陥っているように見えます。”コピーの残り時間が推測できない”との事象が先に発生し、それがそのまま”指定されたネットワーク名は利用できません”とのエラーに直結しているように見えます(とおぼろげに推測できます)。

確かに”コピーの残り時間が推測できない”原因は様々あります。”指定されたネットワーク名は利用できません”様々な状況で発せられるらしいことに符合しています。
コピーの残り時間が推測できない原因をいくつか挙げると、

  • ハードディスクの転送モードがPIOになっている。
  • ネットワークでエラーが多発している。遅い通信モードで通信している。
  • ファイルサーバがsambaで、FAT等のUNIX系OSではネイティブでないファイルシステムを使用している。

    ↑
具体的な例を挙げると、バッファローとかアイ・オー・データなんかのNASにUSB接続の外付けHDDを買ったときののファイルシステム(FAT32)のままで追加し、そのディスクに対して書き込もうとしたケースなんかも含まれると思われます。(Linuxをご存知ない方向けに補足しますと、この場合の解決策はext3という種類のファイルシステムでフォーマットし直すことです。Linuxに詳しい人にやってもらって下さい。NASによってはext3ではなくxfsやext4にする必要があるかもしれません。また残念ながら外付けHDDのフォーマットとしてFAT32しか使えないNASもあると思います。)

 

少し解説を加えておきます。
コピー中の”指定されたネットワーク名は利用できません”エラーは、”コピーの残り時間が推測できない”条件下で一定時間内にコピーが完了しない場合に発せられると、私は考えています。
従って根本的な解決策は「コピーの残り時間を推測できるようにする(上記のフォーマットし直すこともその一つの策)」ことですが、対症療法的な解決策としては(1)ネットワークの速度を上げる(2)ファイルを小分けする、も有効だと言えると思います。

Canon MP990 をLinuxで使う

(2015-10-20追記)あまり印刷してなかったし、プリンターを私だけが使っているんじゃないので気づくのが遅れました。重要な情報をお知らせします。私の環境(Linux Mint 17.2)では下記のようにlibtiff5の環境でキャノン謹製ドライバを強引に使用すると、1キュー分の印刷が終わる度に「エラーが発生したのでMP990を再起動して下さい」みたいなメッセージが出て、実際に再起動する必要が生じます。これじゃ実際上使い物にならないです。私は謹製ドライバで使用する設定を削除しました。(どうせ謹製ドライバだとモノクロ印刷指定ができないので不便だと感じていました。)
(2015-11-15追記)今度はインボックスドライバで印刷しても同じエラーが頻発しました。キャノン謹製ドライバを強引に使用することがエラーの原因とは言えないようです。LibreOfficeに原因があるのかもしれません。

2011-6-1(2015-7-11全面的に内容書き換え)
従来ここには、Ubuntu10.04やLinux Mint 13で、MP990をLinuxからネットワーク経由で、キャノン謹製のMG8130用プリンタドライバを介して使用する設定法を記述していたのですが、Linux Mint17.2だともう少し複雑な設定が必要となります。なのでパッチとして公開することにしました。
 

ここ(他のサイト)にも同様の環境で使用する別の方法が記述されていますが、以後のパッケージデータベースの管理に支障をきたす可能性が高くておすすめできない方法です。私がここで紹介する方法はそれとは別の方法です。
(2015-8-24)ここのページを冒頭部だけじゃなく初めて下の方まで読んでみました。「なんだ冒頭部とそれ以外は全然別のことが書いてあるじゃないか! 冒頭部にダメな方法が書いてあって、そこだけ読むとそこでそのページは完結しますみたいな書きぶりになってるのに、スクロールしていくと、その後に冒頭部とは全然別の、優れた方法が書いてあるじゃないか!」ということに気づきました。ページ後半部にはequivsを使ってlibtiff4のダミーパッケージをを作成してキャノン謹製プリンタドライバインストール時のチェックをクリアする手法が記述されています。私はequivsの存在を今まで知りませんでした。equivsを使った方法の方が、私が↓下記で紹介している方法より、ファイルが全てデータベース上で管理されているという性質を持つため、優れていると思います。equivsはまだ使ったことがありませんが、多分、現在のdpkgコマンドはequivsの存在を前提に仕様が修正されていると推測されます。チェックに適合するAパッケージのBバージョンと適合しないAパッケージのCバージョンの両方が検出された場合は、「チェックOK」だと判定する仕様となっているでしょう。だとしたら、equivsはどしどし使用して問題ない筈です。

 

Ubnutu 14.04やLinux Mint 17のように、libtiff4の替りにlibtiff5が使われている環境に、キャノン謹製プリンタドライバcnijfilter-mg8100series-3.40-1-debを使用可能とするパッチ
ダウンロード filecnijfilter-mg8100series-3.40-1-deb_DirtyHack.patch
このパッチはDebian, Ubuntu系しか対応していません。でもRedHat系も全く同じ原理が使える筈です。

 

単にネットワーク経由で印刷するだけなら、MP990はLPDプロトコルに対応しているので、キャノン謹製ドライバを使わず、LPDプロトコルでLinuxディストリのインボックスドライバを使って印刷することも可能です。そちらの方が品質は高いかもしれません。謹製ドライバで印刷した際、libreofficeの罫線が一部欠けたことがありました。なので私はプリンタの設定を、LPDでインボックスドライバ使用、謹製ドライバ使用、の2種類用意していつでも切り替えられるようにしています。レスポンスタイムについては明らかに謹製の方に分があります。

 

パッチの内容

--- orig.cnijfilter-mg8100series-3.40-1-deb/install.sh	2010-08-19 00:21:03.000000000
+++ mod.cnijfilter-mg8100series-3.40-1-deb/install.sh	2015-07-11 05:42:40.753318751
@@ -136,6 +136,8 @@
 	p_local_modelname_cif=`echo $P_printer_device | sed -e "s/series$//"`
 	p_local_cif_command=cif$p_local_modelname_cif
 	p_local_cif_output=`$p_local_cif_command --supportnetwork 2>&1`
+#	↓別のネットワークからセットアップする等の場合、強制的に1を指定する
+#	p_local_cif_output=1
 
 	if [ "$p_local_cif_output" = "1" ]; then
 		p_local_ret=1
@@ -471,6 +473,13 @@
 		fi
 	else
 		p_local_srch_result=`${P_printer_sudo_command}cnijnetprn --installer --search auto`
+#		↓別のネットワークからセットアップする等の場合、検索結果を自分で事前に指定しておく
+#		sudo chmod 646 /usr/lib/bjlib/cnnet.ini
+#		sudo echo 'IPADDR_CACHE 00-1e-8f-3f-9b-76 192.168.1.13 UNICAST' >> \
+#		/usr/lib/bjlib/cnnet.ini
+#		sudo chmod 644 /usr/lib/bjlib/cnnet.ini
+#		p_local_srch_result='network cnijnet:/00-1E-8F-3F-9B-76 "Canon MP990 series"'
+#		p_local_srch_result="${p_local_srch_result}"' "IP:192.168.1.13"'
 	fi
 
 	#-----------------------------
@@ -840,6 +849,8 @@
 	p_local_SHOTMODELNAME=`echo $P_printer_device | sed -e "s/series$//"`
 	#Change to uppercase
 	P_DEF_ENTRYNAME=`echo $p_local_SHOTMODELNAME | tr a-z A-Z`
+#	↓つけたい登録名が事前に決まっている等の場合
+#	P_DEF_ENTRYNAME=MP990
 
 	retvalue=1
 	until [ $retvalue -eq 0 ]
@@ -1647,14 +1658,51 @@
 	fi
 		
 	## Depend-Package install process ##
-	$C_install_process $C_fpath_depend $C_main_module-$C_device
-	if [ $? -ne 0 ]; then
-		if [ $C_system = "deb" ]; then
-			C_FUNC_show_and_exec "$C_uninstall_command $C_pkgname_depend"
-		fi
-		C_FUNC_show_and_exec "$C_uninstall_command $C_pkgname_common"
-		exit
-	fi
+#
+# cnijfilter-mg8100series_3.40-1_????.debパッケージはlibtiff4パッケージを必要と
+# している為、libtiff5パッケージがインストールされた環境には依存性の問題で通常は
+# (強制的にインストールするオプションを付けない限り)パッケージ管理コマンドで
+# インストールすることはできない。
+# 仮に(パッケージ管理コマンドで)強制的にインストールしても、管理データベース上で、
+# 依存性に異常を抱えた状態となる為、他のパッケージの今後の管理に支障が出てしまう。
+#
+# どこかからlibtiff4パッケージを入手してlibtiff5パッケージの替りにインストールすれば
+# cnijfilter-mg8100series_3.40-1_????.debパッケージについては通常インストールすることが
+# 可能となるが、他のパッケージの今後の管理に支障が出てしまう。
+# 
+# 理想的な解決法は、cnijfilter-mg8100series_3.40-1_????.debパッケージを再構築して
+# libtiff4でなくlibtiff5パッケージを必要とするように修正すること。
+# (正真正銘libtiff5を必要とするように修正する方法と、postinstスクリプトを修正して
+# libtiff.so.4という名のシンボリックリンクを作成して誤魔化す方法がある。
+# 後者の方法でも当面動作に問題はないと思われる。)
+# 
+# だが、上記理想的な解決法は、(安直に実行しようとすると)数年前の開発環境を構築
+# しなければならず敷居が高い。
+# 
+# そこで次善の策として、パッケージ管理コマンドを使わず、つまりパッケージ管理データベース
+# に手をつけず、ファイルのみを直接ターゲット環境に配置する方法をとることにする。
+#
+# ↓下記のパッケージ管理コマンドでインストールする記述をコメントアウトする。
+#	$C_install_process $C_fpath_depend $C_main_module-$C_device
+#	if [ $? -ne 0 ]; then
+#		if [ $C_system = "deb" ]; then
+#			C_FUNC_show_and_exec "$C_uninstall_command $C_pkgname_depend"
+#		fi
+#		C_FUNC_show_and_exec "$C_uninstall_command $C_pkgname_common"
+#		exit
+#	fi
+# ファイルのみを直接ターゲット環境上に解凍する。
+sudo dpkg -x $C_fpath_depend /
+# libtiff5からlibtiff4へのシンボリックリンクを作成する。
+if [ $C_arch = "64" ]; then
+	(cd /usr/lib/x86_64-linux-gnu;sudo ln -sf libtiff.so.5.??* libtiff.so.4)
+else
+	(cd /usr/lib/i386-linux-gnu;sudo ln -sf libtiff.so.5.??* libtiff.so.4)
+fi
+# postinstスクリプト内の処理を代行する。 
+sudo mkdir -p /usr/share/cups/model
+sudo ln -sf /usr/share/ppd/canonmg8100.ppd /usr/share/cups/model/canonmg8100.ppd
+sudo ldconfig
 		
 	C_pkgconfig_fname=$C_main_module-$C_device-pkgconfig.sh
 	C_pkgconfig_dname=${C_pkgconfig_fname%%\.sh}
 
 

(以降は2011年の記述)
使用例が見つからなかったのですが、やってみると印刷に関してはあっさりと成功しました。多分Ver.3.40で対応“可能”になったということなのでしょう。
Ubuntu 10.04環境でIJ Printer Driver Ver.3.40 for Linuxの「PIXUS MG8130用プリンタードライバー (debian)」を少しカスタマイズするだけでOKでした。

 

別ネットワークからの接続の場合は普通はインストーラが使えませんが、強引にp_local_srch_resultに'network cnijnet:/00-1E-8F-6C-4C-73 "Canon MP990 series" "IP:192.168.1.88"'のような文字列を設定するという方法もあります。しかし普通はインストーラーを使わずに
/usr/lib/bjlib/cnnet.iniに

# This file is cache for canon network printers.
IPADDR_CACHE 00-1e-8f-6c-4c-73 192.168.1.88 UNICAST

とか記述した後、

# /usr/sbin/lpadmin -p MP990LAN -m canonmg8100.ppd -v cnijnet:/00-1E-8F-6C-4C-73 -E

とかやればいいと思います。

 

(ネットワーク経由の)スキャンは実現できていません。こちらは提供されているソフトがバイナリーなのでカスタマイズや調査が困難です。キャノンに対応してもらった方がいいと思います。そもそもこのような製品にはsaneプロトコルを実装して欲しいです。ただ、多分USB経由なら今でも使えるのではないかと思っています。
(2011-6-2追記1)sanedが動作しているLinuxPCにUSB接続して他のLinuxPCからアクセスしてみましたが「利用可能なデバイスがない」とのエラーになりました。LinuxからのスキャンはUSB経由でも使えないのかもしれません。ただしMP990はスキャン結果をメモリーカードに保存できますし、そのメモリーカードをMP990に挿したままでsamba経由でLinux側から読み出すことができます。なので実用上はあまり問題にならないと思います。

 

(2011-6-2追記)
念のためUSB接続での印刷を試してみました。上記のキャノンからダウンロードできるドライバーパッケージをインストール済みの環境だったからか、設定時にMG8130用のドライバーを選択でき、あっさりと成功しました(MP990をLinuxのプリンタサーバにUSB接続して別のLinuxから印刷)。

 

(2011-6-2追記3)
余談ですが、MP990の動作を見ていると、どうも昔のように「古い機種用のドライバーを使って無理やり印刷する」ということが出来なくなっているような気がします。昔は合わないドライバーで印刷すると文字化けが延々印刷されるということが起きたりしましたが、それを起こさない為に動作が厳密になっているのではないかと思われます。

 

JEM-A端子(Home Automation端子) について

2011-6-28
当サイトのこのページの補足みたいなものです。
外部サイトのこのページ(HA端子(JEM-A端子 JEM1427端子)概説)を見ると、HA端子はごく簡単なもののようです。簡単にアダプタを自作できるのではないかと思われます。
なのに「自作例が見つからないなー」と思ったら、
JEMA_online-store_s.png
このように、具体的な仕様が有料になっているのでした。
ただ仮にアダプタが(市販品より)安価に自作できても、実用性を考えるとネットワーク(インターネット)越しに操作できないとあんまり意味がないので、アダプタの他にいろいろ必要になり、結局インターネット越しに操作できる市販トータルソリューションを活用する方が合理的だということになりがちだとは思います。ただ私の場合は「アダプタ以外に必要なもの」を既に持っているわけで、あとはアダプタだけ手に入れられればインターネット越しにHA端子を利用できます。
 

(2011-8-17追記)
HA端子なんかを使うよりも赤外線を活用する方がベターだと考えまして、こんなシステムを作りました。
携帯からインターネット経由で赤外線命令を発行して既設エアコンを操作

今までに自作した様々なケーブル

(2013-4-13初出)
今までに自作したケーブル類の一部です。
homebrew-various-cables_s.jpg
中には市販されているものもある筈です。多分SATA-IDE電源変換ケーブルなんかは市販されているでしょう。また、左手前のRCA-3.5mmミニプラグ変換ケーブルは上海問屋で見かけました。あと、右手前のUSB切替器なんかは(全く検索・調査してませんが)、世界中の多数の人が自作したり市販したりしているでしょう。私の場合、このUSB切替器は、ご覧頂けるように、ロジクールのunifyingレシーバー専用として使用しています。キーボードとマウスを共用できているわけです。中身はただの4極双投スイッチです。USBの本来仕様では電源ラインと信号ラインとで、入・切のタイミングをずらさなければならない筈ですが、ずらさなくても問題なく動作しています。そもそもその仕様はストレージ用途で考えられたものなのでこの場合は殆ど気にする必要はありません。あとデバイスの電源がOFFの状態でいきなりデータ線に電圧が与えられると壊れてしまうようなヤワなものはわざと作ろうと思っても難しいくらいです。ということでもちろん自己責任ですがどしどし真似して下さい。

 

写真に写っている電源ケーブル類はどれもケーブルが長いですが、これは作成当時の要件上、仕方なく長く伸ばしたものです。電気的には非常に好ましくありません。こんなに長いと、電源が劣化した場合に簡単にエラーが発生すると思っておいた方がいいでしょう。

最近(ここ2年以内に)製作した(珍)変換アダプタ

(2014-3-1初出)
homebrew-various-adapters_s.jpg
左は「3.5インチHDD→2.5インチIDE変換アダプタ」です。2.5インチHDD専用のIDE-USB変換アダプタを3.5インチHDDに適用する為のものです。右は「USB3.0端子にUSB3.0デバイスを挿入しても強制的にUSB2.0(以下)で接続させる為のアダプタ」です。

 

グルーで絶縁する前の「3.5インチHDD→2.5インチIDE変換アダプタ」です。
3.5in-HDD_2.5in-IDE_conversion_adapter_1_s.jpg
これは連結ピンソケット 2×20 (40P)と、2mmピッチピンヘッダ 2×40 (80P)を半分に切断したものを半田付けしたものです。もちろん連結ピンソケットのピンは一先切らず、長さが余るところは曲げて、各ピン先がぴたりピンヘッダのピン先に接するように合わせこんであります。

 

「3.5インチHDD→2.5インチIDE変換アダプタ」はこのように2.5インチHDD専用のIDE-USB変換アダプタ基板に接続して使います。3.5インチHDDの電源は別途用意する必要があります。
3.5in-HDD_2.5in-IDE_conversion_adapter_2_s.jpg
現在販売されているIDE-USB変換アダプタ(orケーブル)はまず殆ど3.5インチと2.5インチ両対応なので、本項のアダプタは不要です。本項のアダプタが有用なのはUSB接続2.5インチHDDケース内蔵のアダプタを3.5インチHDD用に転用する場合や、2.5インチHDD用のインターフェースを延長する場合等です。

A shell script for Subtitler (lite) mod (VLC 2.1+ extention)

Please execute after starting Subtitler (lite) mod.

 

Download filekeeping-press-enter.sh  (2015-7-27)
You should(must) create a launcher.

 
#!/bin/sh
TITLE="Subtitler \(lite\) mod"
MSG="Pressing Enter key"
FLG=true

zenity --progress --pulsate --no-cancel --text="${MSG}" \
--title="${MSG}" &
SPID=$!

while true
do

if test `ps --pid ${SPID}|wc -l` -le 1; then
break
fi

xdotool search --name "${TITLE}" windowactivate
if test $? -eq 0 && $FLG; then
xdotool getactivewindow windowmove 0 0
FLG=false
fi

xdotool search --name "${TITLE}" key "Return"
if test $? -ne 0; then
kill ${SPID} 2>/dev/null
break
fi

sleep 1
done

"sleep 1" might be "sleep 0.5" or "sleep 0.1".

Raspberry Pi での VLC のビルド

(2015年8月)
2015年6月に作業をおこないました。
きっちりとメモをとっていません。
きっかけとなったサイトはDebian,Ubuntu系の経験が長い私からするとつっこむべき箇所があるので、相違点を挙げておくべきだと思いました。

  • apt-get build-dep という便利なコマンドを使うべき
 

そうすればGUIで全部オプションが選べます。
前述のようにメモしてないんですが、結局ライブラリの入れ替えは一回、ライブラリへのシンボリックリンクの追加も一回で済んだように記憶しています。あと最後の最後にファイルにちょっとした修正が1箇所でした。この辺りはエラーメッセージを見ながら適宜対処すればいいと思います。

 

あとこれはツッコミじゃありませんが、gitのメインは現在既にバージョンが3系に移っていて、Raspbianの他のアプリを犠牲にせずにビルドするのは困難なので、ビルドすべきはvlc2.2系のメンテナンスブランチです。これなら殆どライブラリの変更が必要なく、普通のRaspbianとして(他のアプリも)使い続けることができます。

以前はLinuxで使えなかったサンワサプライのBluetooth 4.0 LEドングル・MM-BTUD43(CSR 8510 A10) をLinuxで使う手順

(2015年8月)
昨年末に購入したと思うんですが、その当初は必要な情報(HCIモードに切り替える手順)がネット上で見つかりませんでした。今(2015年8月)ネットを検索するとHCIモードに切り替えるユーティリティのソースが公開されていました。
それをbluezパッケージに組み込み、加えてudevの設定ファイルを差し替えれば、もう何のハンディもありません。
ダウンロードしたURLをメモしてませんでした。パッチではありません。ソースそのものです。今かなり探してみましたが、先日ダウンロードしたファイルと同一のファイルがダウンロードできるサイトがどうしても見つかりません。なくなったのかもしれません。ただし他にもusb_switch_csr2関数が含まれるソースは見つかります。多分それでもOKでしょう。
UbuntuやMintの純正パッケージにまだ含まれていないのは、ちょっと遅いなと思います。言い換えれば間もなくデフォルトでLinuxで使えるようになると思います。
HCIモードに切り替えるとVID:PIDが0a12:0001となり、従来製品と同じように操作できます。

MPLAB X IDEで生成したPIC12F,PIC16F用のhexを秋月ライタ等で読み込める形式に変換する方法

(2015-11-22)
XC8やMPASMが生成するファイルそのものを変更する方法もあるのかもしれませんが、
とりあえず、私が探しだした変換方法をお伝えします。

 
 

1.変換ツールのダウンロード
VectorからHexConv(Intel Hex/Motorola Hex/Binaryファイルの相互フォーマット変換ツール)
http://www.vector.co.jp/soft/win95/util/se148188.html
をダウンロードします。

 
 

2.変換ツールの実行
HEXCONV.EXEを起動し、Formatを IntelHEX(デフォルト)、Empty space dataを 3F
に設定してConvertを実行します。

 
 

3.変換後のファイル名の変更
変換前にOutputファイル名を特に指定していなかった場合は、ここで
適切なファイル名に変更して下さい。必ず拡張子をhexにして下さい。

 
 

4.変換で生成されたファイルの微修正
エディタで変換元のファイルを開き、末尾の2行をコピーします。
そして変換後のファイルの末尾の2行に上書きペーストします。
※この2行はConfigに関わる部分です。アドレスが中途半端でHEXCONVではうまく変換できないので
変換元ファイルの記述をコピーしてやります。

 
 

※因みにMPLAB X IDEで生成したHEXファイルの読み込みだけなら
DLF_Viewer(インテルHEX/モトローラSタイプレコード形式ファイル用ビューア)
http://www.vector.co.jp/soft/dl/win95/util/se135946.html
がお勧めです。HexConvが正しく取り扱えない部分も正しく読み込めます。

 

ご要望、ご意見、質問を下のフォームにどうぞ
(でもここより、掲示板書き込みフォームのページに書いて頂いた方が気づき易いと思います。)


URL B I U SIZE Black Maroon Green Olive Navy Purple Teal Gray Silver Red Lime Yellow Blue Fuchsia Aqua White